package com.keao.edu.user.enums;

import com.keao.edu.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2020.06.18
 */
public enum TeacherSettlementTypeEnum implements BaseEnum<String, TeacherSettlementTypeEnum> {

    SINGLE("SINGLE", "单次结算"),
    PEOPLE_NUM("PEOPLE_NUM", "人数");

    private String code;

    private String msg;

    TeacherSettlementTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
